## ---- include=FALSE---------------------------------------------------------------------------------------------------
knitr::opts_chunk$set(fig.width=4, fig.height=3.5)

## ---------------------------------------------------------------------------------------------------------------------
library("lessR")

## ----read-------------------------------------------------------------------------------------------------------------
d <- Read("Employee")

## ----sp---------------------------------------------------------------------------------------------------------------
Plot(Years, Salary)

## ----spEnhance--------------------------------------------------------------------------------------------------------
Plot(Years, Salary, enhance=TRUE)

## ----size-------------------------------------------------------------------------------------------------------------
Plot(Years, Salary, size=Pre)

## ----by, fig.width=5--------------------------------------------------------------------------------------------------
Plot(Years, Salary, by=Gender)

## ---- fig.height=4----------------------------------------------------------------------------------------------------
Plot(Years, Salary, by1=Gender)

## ---------------------------------------------------------------------------------------------------------------------
Plot(Dept, Gender)

## ---------------------------------------------------------------------------------------------------------------------
Plot(Salary)

## ---------------------------------------------------------------------------------------------------------------------
Plot(Dept)

## ---- fig.height=5.5--------------------------------------------------------------------------------------------------
Plot(Salary, row_names)

## ---- fig.height=5.5--------------------------------------------------------------------------------------------------
Plot(Salary, row_names, sort_yx="0", segments_y=FALSE)

## ---- fig.width=5, fig.height=5.5-------------------------------------------------------------------------------------
Plot(c(Pre, Post), row_names)

## ---------------------------------------------------------------------------------------------------------------------
d <- Read("StockPrice")
d[1:5,]

## ---------------------------------------------------------------------------------------------------------------------
Plot(date, Price, rows=(Company=="Apple"))

## ---- fig.width=5-----------------------------------------------------------------------------------------------------
Plot(date, Price, by=Company)

## ---- fig.width=4.5---------------------------------------------------------------------------------------------------
Plot(date, Price, by1=Company)

## ---- fig.width=4.5---------------------------------------------------------------------------------------------------
style(sub_theme="black", trans=.55,
      window_fill="gray10", grid_color="gray25")
Plot(date, Price, by1=Company, n.col=1,  fill="darkred", color="red")

